Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
trieubb

Sửa giúp em lisp xoay mọi đối tượng

Các bài được khuyến nghị

Giúp em sửa đoạn lisp này với

(defun c:xoay (/ a) (setvar "cmdecho" 1)

(princ "\nChon doi tuong:")

(setq a (ssget))

(setq p0 (getpoint "\nChon diem goc xoay: "))

(setq p1 (getpoint p0 "\nChon diem tiep theo tren doi tuong can xoay: "))

(setq p2 (getpoint p0 "\nChon diem moi can xoay den: "))

;;xoay truc x trung doi tuong can xoay

(command "ucs" "z" p0 p1)

;;xoay doi tuong can xoay ve vi tri moi

(command "rotate" a "" p0 p2)

;;tra ucs ve vi tri ban dau

(command "ucs" "" "" )

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Giúp em sửa đoạn lisp này với

(defun c:xoay (/ a) (setvar "cmdecho" 1)

(princ "\nChon doi tuong:")

(setq a (ssget))

(setq p0 (getpoint "\nChon diem goc xoay: "))

(setq p1 (getpoint p0 "\nChon diem tiep theo tren doi tuong can xoay: "))

(setq p2 (getpoint p0 "\nChon diem moi can xoay den: "))

;;xoay truc x trung doi tuong can xoay

(command "ucs" "z" p0 p1)

;;xoay doi tuong can xoay ve vi tri moi

(command "rotate" a "" p0 p2)

;;tra ucs ve vi tri ban dau

(command "ucs" "" "" )

(princ)

)

1- Nhắc nhở bạn: không được lập thêm topic cho cùng một nội dung. Ssg đã xoá cái topic kia rồi. Nếu tái phạm sẽ bị xoá cả hai!

 

2- Bạn đã dùng lệnh rotate với tham chiếu R bao giờ chưa? Theo đó, chỉ cần 1 dòng lisp:

 

(command "rotate" (ssget) "" (setq p (getpoint "\nDiem chuan:")) "r" p (getpoint p "\nDiem thu 2:") pause)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×